package main

import (
	"fmt"

	"demo/etc"

	"git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/app"
	"git.sr.ht/~cco/go-scopes/logging"
)

func main() {
	cfg := etc.Config()
	fmt.Println(cfg.Name())
	appCfg := cfg.(*app.Cfg)
	fmt.Println(appCfg.Home)
	logging.Setup(appCfg.Logging, appCfg.Home)
	scopes.RunApp(cfg)
}
